# Supporting Material: Imbalanced Learning in Astronomy (version 1.0)
This notebook explores the main issues which reduce the accuracy of Machine Learning (ML) algorithms, used for candidate classification. It was written to support a talk delivered at EWASS 2018.


## Author: Rob Lyon
## Email : robert.lyon@manchester.ac.uk
## web   : www.scienceguyrob.com

### Overview
This repository consists of, 

* an ipython notebook that explores and describes the issues discussed during the EWASS talk.
* a directory containing example pulse profiles, used during experimentation.

The notebook contains interactive Python 3.6 code. It requires Numpy, Scipy, imbalanced-learn and Scikit-learn.

We kindly request that if you make use of the notebook, please cite the work using the repository DOI.

### License
The code and the contents of this notebook are released under the GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. We kindly request that if you make use of the notebook, you cite the work appropriately.

### Acknowledgements
This notebook utilises data obtained by the High Time Resolution Universe Collaboration using the Parkes Observatory, funded by the Commonwealth of Australia and managed by the CSIRO. The data was originally processed by Dr. Daniel Thornton & Dr. Samuel Bates, and I gratefully acknowledge their efforts.

### Change log

First version.
